package cn.superdesk.uniorder.openapicall.thirdpart.szhtxx.paperInvoice.dto.request.SID20BitchLlq.ID0201;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class SID20BitchLlqRequestID0201FpxtTypeFactory {

    private final static QName _FPXT_QNAME = new QName("", "FPXT");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: szhtxxPaperInvoice.SID20BatchProcess.ID0201.request
     */
    public SID20BitchLlqRequestID0201FpxtTypeFactory() {
    }

    /**
     * Create an instance of {@link FpxtType }
     */
    public FpxtType createFpxtType() {
        return new FpxtType();
    }

    /**
     * Create an instance of {@link InputType }
     */
    public InputType createInputType() {
        return new InputType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FpxtType }{@code >}}
     */
    @XmlElementDecl(namespace = "", name = "FPXT")
    public JAXBElement<FpxtType> createFPXT(FpxtType value) {
        return new JAXBElement<FpxtType>(_FPXT_QNAME, FpxtType.class, null, value);
    }

}
